### Function

# ECal util_component_remove_property_by_kind

since: 3.30

#### Declaration [src]

    guint
    e_cal_util_component_remove_property_by_kind (
      ICalComponent* icalcomp,
      ICalPropertyKind kind,
      gboolean all
    )

#### Description [src]

Removes all or only the first property of kind `kind` in `icalcomp`.

Available since: 3.30

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`kind`

  Type: `ICalPropertyKind`

  The kind of the property to remove.

`all`

  Type: `gboolean`

  `TRUE` to remove all, or `FALSE` to remove only the first property of the `kind`.

#### Return value

Type: `guint`

How many properties had been removed.